"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = renderExample;

var _react = _interopRequireDefault(require("react"));

var _View = require("@temporg/ui-view/lib/View");

var _Tooltip = require("@temporg/ui-tooltip/lib/Tooltip");

var _IconButton = require("@temporg/ui-buttons/lib/IconButton");

var _IconInfoLine = require("@temporg/ui-icons/lib/IconInfoLine");

var _ref2 = /*#__PURE__*/_react.default.createElement(_IconButton.IconButton, {
  size: "small",
  renderIcon: _IconInfoLine.IconInfoLine,
  screenReaderLabel: "props"
});

function renderExample(_ref) {
  var Component = _ref.Component,
      componentProps = _ref.componentProps,
      exampleProps = _ref.exampleProps,
      key = _ref.key;
  return /*#__PURE__*/_react.default.createElement(_View.View, Object.assign({
    key: key,
    display: "block",
    padding: "small",
    background: exampleProps.background || 'primary',
    width: exampleProps.width || '100%',
    maxWidth: exampleProps.maxWidth || 'none',
    height: exampleProps.height || 'auto',
    maxHeight: exampleProps.maxHeight || 'none'
  }, exampleProps), /*#__PURE__*/_react.default.createElement(Component, componentProps), /*#__PURE__*/_react.default.createElement(_Tooltip.Tooltip, {
    renderTip: /*#__PURE__*/_react.default.createElement("pre", null, JSON.stringify(componentProps, null, 2)),
    placement: "bottom",
    on: ['click']
  }, _ref2));
}